rbdoom3bfg(6)

NAME
rbdoom3bfg - Robert Beckeban's Doom 3 BFG Edition

SYNOPSIS
rbdoom3bfg [options]

DESCRIPTION
rbdoom3bfg is a port of the id-soft released GPL'ed version of the Doom 3 BFG-Edition engine. It targets Linux support, 64-bit support and source code cleanup.

The goal of RBDoom3BFG is to bring Doom 3 BFG with the help of SDL to all suitable platforms. Bugs present in the original DOOM 3 will be fixed (when identified) without altering the original game-play.

OPTIONS
The game can be tweaked using some console commands which usually also can be passed using the commandline. Below, for any values named boolean a "0" means disable and "1" enable. Note that some values might be stored in the user's profile and are persistent over restarts.

+set fs_game modDirectoryName
    Defines the mod directory to be used. Best used with +set fs_resourceLoadPriority.

+set fs_resourceLoadPriority value
    When value is 0 set priority the mod's content over the game's one.

+set com_allowconsole boolean
    Allow (default) or disallow console access.

+set com_showFPS value
    show frames rendered per second. Use this value:
      0 to turn off (default),
      1 default bfg values,
      2 only show FPS (classic view)

+set com_speeds  boolean
    Show engine timings. Default is off.q

+set com_forceGenericSIMD  boolean
    Force the use of generic platform independent SIMD code. Default is off.

NOTES
To actually play Doom3 BFG Edition, you need a copy of the (non-free) game data. Please see /usr/share/doc/rbdoom3bfg/README.txt.gz for details.

AUTHORS
This manpage was written by Tobias Frost <tobi@debian.org> and is licensed under the GPL-2 or at your option any later version.